OpenVDB 3.2.0

Public Types | Public Member Functions | List of all members
InactivePruneOp< TreeT, TerminationLevel > Class Template Reference

`#include <Prune.h>`

## Public Types
typedef TreeT::ValueType | ValueT
typedef TreeT::RootNodeType | RootT
typedef TreeT::LeafNodeType | LeafT

## Public Member Functions
| BOOST_STATIC_ASSERT (RootT::LEVEL > TerminationLevel)
| InactivePruneOp (TreeT &tree)
| InactivePruneOp (TreeT &tree, const ValueT &v)
void | operator() (LeafT &) const
template<typename NodeT >
void | operator() (NodeT &node) const
void | operator() (RootT &root) const

## Member Typedef Documentation

## ◆ LeafT

typedef TreeT::LeafNodeType LeafT

## ◆ RootT

typedef TreeT::RootNodeType RootT

## ◆ ValueT

typedef TreeT::ValueType ValueT

## Constructor & Destructor Documentation

## ◆ InactivePruneOp() [1/2]

InactivePruneOp | ( | TreeT & | tree | ) |
| inline

## ◆ InactivePruneOp() [2/2]

InactivePruneOp | ( | TreeT & | tree,
|  | const ValueT & | v
| ) |  |
| inline

## Member Function Documentation

## ◆ BOOST_STATIC_ASSERT()

BOOST_STATIC_ASSERT | ( | RootT::LEVEL | ,
|  | TerminationLevel |
| ) |  |

## ◆ operator()() [1/3]

void operator() | ( | LeafT & |  | ) | const
| inline

## ◆ operator()() [2/3]

void operator() | ( | NodeT & | node | ) | const
| inline

## ◆ operator()() [3/3]

void operator() | ( | RootT & | root | ) | const
| inline

The documentation for this class was generated from the following file:

- Prune.h